﻿#SingleInstance force
#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
; #Warn  ; Enable warnings to assist with detecting common errors.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.


; Win+C = calculator
#c::Run calc.exe



; Handy shortcuts for WATCHOUT (v5.5)
; Walter Soyka - walter@keenlive.com - +1 845-790-0813


#IfWinActive, WATCHOUT
	SetKeyDelay, 20

	; Ctrl+I = Add media file...
	^i::Send !m{Enter}

	; Ctrl+Shift+I = Insert layer
	^+i::Send !m{Right}{Down 4}{Enter}

	; Ctrl+Shift+N = New folder
	^+n::Send !m{Down 11}{Enter}

	; Ctrl+Shift+T = Add new text
	^+t::Send !m{Down 9}{Enter}

	; Ctrl+Shift+C = Add new composition
	^+c::Send !m{Down 4}{Enter}+{Tab}

	; Ctrl+Shift+V = Add new video proxy
	^+v:: Send !m{Down}{Enter}

	; Ctrl+Shift+D = Duplicate selected composition
	^+d::
		SetKeyDelay 200
		Send {Enter}
		Sleep, 500
		Send ^a
		Sleep, 500
		Send {CTRLDOWN}c{CTRLUP}
		Send {CTRLDOWN}{F4}{CTRLUP}
		Sleep, 500
		Send !m{Down 4}{Enter}+{Tab}Copy
		Sleep, 200
		Send {Enter}
		Sleep, 200
		Send {Enter}
		Sleep, 300
		Send {CTRLDOWN}v{CTRLUP}
		Send ^j+{Tab}
		SetKeyDelay
	return

	; Alt+Y = Y Rotation tween
	!y::Send !m{Right 2}{Down 7}{Enter}

	
	; - and = to NumPad- and NumPad+
	-::NumpadSub
	=::NumpadAdd

	; Scrolling via PgUp/PgDn
	PgUp::
		Send {CTRLDOWN}
		MouseClick,WheelUp,,,1,0,D,R
		Send {CTRLUP}
	return
	
	PgDn::
		Send {CTRLDOWN}
		MouseClick,WheelDown,,,1,0,D,R
		Send {CTRLUP}
	return

	+PgUp::
		Send {CTRLDOWN}{SHIFTDOWN}
		MouseClick,WheelUp,,,1,0,D,R
		Send {CTRLUP}{SHIFTUP}
	return
	
	+PgDn::
		Send {CTRLDOWN}{SHIFTDOWN}
		MouseClick,WheelDown,,,1,0,D,R
		Send {CTRLUP}{SHIFTUP}
	return
	

	^+PgUp::
		Send {CTRLDOWN}{SHIFTDOWN}
		MouseClick,WheelUp,,,10,0,D,R
		Send {CTRLUP}{SHIFTUP}
	return
	
	^+PgDn::
		Send {CTRLDOWN}{SHIFTDOWN}
		MouseClick,WheelDown,,,10,0,D,R
		Send {CTRLUP}{SHIFTUP}
	return
	

	
#IfWinActive